/* bi_objGL.h */
#ifndef BI_OBJGL_H
  #define BI_OBJGL_H

  #include <conio.h>  //wg. _getch()
  #include <stdio.h>  //wg. printf()
  #include <stdlib.h> //wg. system()
  #include <math.h>   //wg. sin, cos, atan, sqrt
  #include <GL/glut.h>

  #define MIN(x,y) (( (x) < (y) ) ? (x) : (y))
  #define MAX(x,y) (( (x) > (y) ) ? (x) : (y))

  #define CON_CLS   "cls"
  #define CR         13
  #define ESC        27

  /*Prototypen:*/
  void animObj(int go);
  void draw(void);
  void drawAxes(void);
  void drawCube(void);
  void drawObj(void);
  void init(void);
  void key(unsigned char key, int x, int y);
  void moveAxes(void);
  void moveObj(void);
  void teapot(void);
#endif//BI_OBJGL_H

